/**
  ********************************************************************
  * ļ  system_init.h
  *      ChipON_AE/FAE_Group
  *     V2.1
  *     2018-3-15
  *     ļṩͷļϵͳʱصĺ궨塣
  *
  *********************************************************************
*/
#ifndef _SYSTEM_INIT_H_
#define _SYSTEM_INIT_H_

#include <string.h>
#include <stdint.h>

#include "KF32LS_BASIC.h"
#include "kf32ls_basic_adc.h"
#include "kf32ls_basic_dma.h"
#include "kf32ls_basic_gpio.h"
#include "kf32ls_basic_int.h"
#include "kf32ls_basic_osc.h"
#include "kf32ls_basic_pclk.h"
#include "kf32ls_basic_rst.h"
#include "kf32ls_basic_systick.h"
#include "kf32ls_basic_usart.h"

#include "USART_user.h"
#include "DMA_user.h"
#include "ADC_user.h"
/* ϵͳʱѡ */
#ifndef SYSCLK_FREQ_HSE
	#define SYSCLK_FREQ_HSI         //ڲƵ
#endif

/* ϵͳʱѡ */
#ifdef KF32LS500
#define SYSCLK_FREQ_48MHz	48000000
#endif
#ifdef KF32LS200
#define SYSCLK_FREQ_48MHz	48000000
#endif
#ifdef KF32LS201
#define SYSCLK_FREQ_48MHz	48000000
#endif


extern unsigned int buf_1[32];
void Delay(volatile uint32_t cnt);
static void SetSysClock(void);
void SystemInit(void);
#endif /* SYS_H_ */
