/**
  ********************************************************************
  * ļ  flash.h
  *      ChipON_AE/FAE_Group
  *     V2.1
  *     2019-11-16
  *     ļṩflashܵضдܶ
  *
  *********************************************************************
*/
#ifndef FLASH_H_
#define FLASH_H_
#include "system_init.h"

#define Flash_OK                 1
#define Flash_FAIL               0

void FLASH_HALFPAGE_WRITECODE_fun(uint32_t address,uint32_t *p_FlashBuffer,uint32_t length);
void FLASH_PageWrite_fun(uint32_t address,uint32_t *p_FlashBuffer,uint8_t length);
void FLASH_WriteCODE_ONE(uint32_t address,uint32_t *p_FlashBuffer);
void FLASH_READCODE_fun(uint32_t address,uint32_t *p_FlashBuffer,uint32_t length);


void FLASH_WriteCFG_ONE(uint32_t address,uint32_t *p_FlashBuffer);
void FLASH_HALFPAGE_WRITECFG_fun(uint32_t address,uint32_t *p_FlashBuffer,uint32_t length);
void FLASH_PageWrite_CFG_fun(uint32_t address,uint32_t *p_FlashBuffer,uint8_t length);


//ַΪ8
void FLASH_WriteByte(uint32_t address,uint8_t p_FlashBuffer);     //дbyte
void FLASH_WriteHalfWord(uint32_t address,uint16_t p_FlashBuffer);//дHalWord
void FLASH_WriteWord(uint32_t address,uint32_t p_FlashBuffer);    //дword
void FLASH_WriteNByte(uint32_t address,uint8_t *p_FlashBuffer,uint32_t leng);//дByte

uint32_t FLASH_ReadByte(uint32_t address,uint8_t *p_FlashBuffer);  //byte
uint32_t FLASH_ReadHalWord(uint32_t address,uint16_t *p_FlashBuffer);//HalWord
uint32_t FLASH_ReadWord(uint32_t address,uint32_t *p_FlashBuffer);//Word
void FLASH_ReadNByte(uint32_t address,uint8_t *p_FlashBuffer,uint32_t leng);//Byte

#endif /* FLASH_H_ */
