/**
  ********************************************************************
  * ļ  system_init.h
  *      ChipON_AE/FAE_Group
  *     V2.1
  *     2018-3-15
  *     ļṩͷļϵͳʱصĺ궨塣
  *
  *********************************************************************
*/
#ifndef _SYSTEM_INIT_H_
#define _SYSTEM_INIT_H_

#include <string.h>
#include <stdint.h>

#include "KF32L_BASIC.h"
#include "kf32l_basic_bkp.h"
#include "kf32l_basic_gpio.h"
#include "kf32l_basic_int.h"
#include "kf32l_basic_osc.h"
#include "kf32l_basic_pclk.h"
#include "kf32l_basic_pm.h"
#include "kf32l_basic_rst.h"
#include "kf32l_basic_rtc.h"
#include "kf32l_basic_sysctl.h"
#include "kf32l_basic_systick.h"
#include "kf32l_basic_usart.h"

#include "USART_user.h"
#include "RTC_user.h"

extern volatile char ctl;
/* ϵͳʱѡ */
#ifndef SYSCLK_FREQ_HSE
	#define SYSCLK_FREQ_HSI         //ڲƵ
#endif

/* ϵͳʱѡ */
#ifdef KF32L530
#define SYSCLK_FREQ_48MHz	48000000
//#define SYSCLK_FREQ_72MHz	72000000
//#define SYSCLK_FREQ_96MHz	96000000
//#define SYSCLK_FREQ_120MHz	120000000
#endif

static void SetSysClock(void);
void SystemInit(void);
#endif /* SYS_H_ */
