/****************************************************************************************
  *
  * ļ  CRC.c
  *     ChipON_AE/FAE_Group
  *     2019-10-19
  *     ļṩCRCģӦ
  *
 ****************************************************************************************/
#include "system_init.h"

#define BUFFER_SIZE   8

uint32_t aDataBuffer[BUFFER_SIZE] =
  {
    0x00001021, 0x32732252, 0xd58d3653, 0xc7bc48c4, 0x40257046, 0x00a130c2, 0x32d24235, 0x918881a9
  };

void GPIO_USART0();//USART0ӳ
void Usart_line_feed(USART_SFRmap *USARTx);//ͻз

uint32_t CRCValue;  //CRC
uint8_t Data[4];    //

/**
  *    
  *    
  *    
  */
void main()
{
   /* ûɲοʵCRC_32У飬ԭʼaDataBuffer[8],
	* УCRCValueУCRCValueת8λͨ0*/

	 unsigned char i;
	//ϵͳʱ48M,Ƶʱ16M
	SystemInit();
	//USART0ӳ䣬PA0-RXPA1-TX0
	GPIO_USART0();
	//ȫ˫첽8bit 9600
	USART_Async_config(USART0_SFR);

	//CRCãCRC_32ʼֵ0xFFFFFFFF
	CRC_Init_Config();
	//ȡCRC
	CRCValue=CRC_CalcBlockCRC(aDataBuffer,BUFFER_SIZE);

	//32bitת8bitݣڴڷ
    for(i=0;i<4;i++)
    {
    	Data[i]=CRCValue>>8*(i%4);
    }

	while(1)
	{
		//CRCȷУֵΪ0x76484696
		USART_Send(USART0_SFR, Data, 4);//ڷͺ
		Usart_line_feed(USART0_SFR);//ͻз
	}
}
/**
  *     USART0ӳ
  *    
  *    
  */
void GPIO_USART0()
{
	/* ˿ӳAF5 */
	//USART0_RX		PA0
	//USART0_TX0	PA1
	GPIO_Write_Mode_Bits(GPIOA_SFR ,GPIO_PIN_MASK_0, GPIO_MODE_RMP);          //ӳIOڹģʽ
	GPIO_Write_Mode_Bits(GPIOA_SFR ,GPIO_PIN_MASK_1, GPIO_MODE_RMP);          //ӳIOڹģʽ
	GPIO_Pin_RMP_Config (GPIOA_SFR ,GPIO_Pin_Num_0, GPIO_RMP_AF5_USART0);	  //ӳΪUSART0
	GPIO_Pin_RMP_Config (GPIOA_SFR ,GPIO_Pin_Num_1, GPIO_RMP_AF5_USART0);     //ӳΪUSART0
	GPIO_Pin_Lock_Config (GPIOA_SFR ,GPIO_PIN_MASK_0, TRUE);                  //
	GPIO_Pin_Lock_Config (GPIOA_SFR ,GPIO_PIN_MASK_1, TRUE);                  //
}
/**
  *    ڷͻз
  *    ָUSARTڴṹָ룬ȡֵΪUSART0_SFR~USART8_SFR
  *    
  */
void Usart_line_feed(USART_SFRmap *USARTx)
{
	USART_SendData(USARTx,0x0D);
	while(!USART_Get_Transmitter_Empty_Flag(USARTx));
	USART_SendData(USARTx,0x0A);
	while(!USART_Get_Transmitter_Empty_Flag(USARTx));
}
/**
  *    У鷢ļ
  *    file: ָļƵָ
  *      line У
  *   ޡ
  */
void check_failed(uint8_t* file, uint32_t line)
{
	  /* ûԼĴʵֱļк,
	             : printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	  while(1)
	  {
		  ;
	  }
}
