/**
  ******************************************************************************
  * ļ  system_init.c
  *     ChipON_AE/FAE_Group
  *     V2.1
  *     2019-11-16
  *     ļṩʱϵͳʱӳʼ
  *
  ******************************************************************************
  */
#include "system_init.h"
/**
  *   ʱĬá
  *   ޡ
  *   ޡ
*/
static void SetSysClock(void)
{
	/* ʹڲƵʱ*/
	OSC_INTHF_Software_Enable(TRUE);
	while(OSC_Get_INTHF_INT_Flag() != SET);
	/* PLLʱԴѡ */
#ifdef SYSCLK_FREQ_HSI
	OSC_PLL_Input_Source_Config(PLL_INPUT_INTHF);
#else
	OSC_PLL_Input_Source_Config(PLL_INPUT_EXTHF);
#endif
	/* PLLƵʱѡ */
#ifdef SYSCLK_FREQ_48MHz
	OSC_PLL_Multiple_Value_Select(48,2,8);
#endif
	OSC_PLL_Start_Delay_Config(PLL_START_DELAY_1024);
	OSC_PLL_Software_Enable(TRUE);
	OSC_PLL_RST();
	while(OSC_Get_PLL_INT_Flag() != SET);
	/* ʱ */
	OSC_SCK_Division_Config(SCLK_DIVISION_1);
	OSC_SCK_Source_Config(SCLK_SOURCE_PLL);
	/* ʱ */
	OSC_HFCK_Division_Config(HFCK_DIVISION_1);
	OSC_HFCK_Source_Config(HFCK_SOURCE_INTHF);
	OSC_HFCK_Enable(TRUE);

	OSC_LFCK_Division_Config(LFCK_DIVISION_1);		//ƵƵѡ
	OSC_LFCK_Source_Config (LFCK_INPUT_INTLF);		//ѡINTLFΪLFCLKʱ
	OSC_LFCK_Enable (TRUE);							//LFCLKʱź
	OSC_INTLF_Software_Enable(TRUE);
	OSC_INTHF_Software_Enable(TRUE);				//ڲƵʹ
}

/**
  *   ϵͳʼ
  *   ޡ
  *   ޡ
*/
void SystemInit(void)
{
	/* ʱ */
	SetSysClock();
}

