/****************************************************************************************
  *
  * ļ  main.c
  *     ChipON_AE/FAE_Group
  *     2019-11-16
  *     ļṩõƵӦ̲ο
  *
 ****************************************************************************************/
#include "system_init.h"


/**
  *   GPIOx ʼá
  *  : GPIOx: ָGPIOڴṹָ룬ȡֵΪGPIOA_SFR~GPIOH_SFR
  *       GpioPin: ˿룬ȡֵΪGPIO_PIN_MASK_0~GPIO_PIN_MASK_15еһϡ
  *   ޡ
  */
void GPIOInit_Output_Config(GPIO_SFRmap* GPIOx,uint16_t GpioPin)
{
	/*ʼλGPIOx裬ʹGPIOxʱ*/
		GPIO_Reset(GPIOx);

	/*  PxyΪģʽ */
	GPIO_InitTypeDef GPIO_InitStructure;
	GPIO_Struct_Init(&GPIO_InitStructure);
	GPIO_InitStructure.m_Pin = GpioPin;
	GPIO_InitStructure.m_Speed = GPIO_LOW_SPEED;          //ʼ GPIOٶ
	GPIO_InitStructure.m_Mode = GPIO_MODE_OUT;            //ʼ GPIOΪ
	GPIO_InitStructure.m_PullUp = GPIO_NOPULL;            //ʼ GPIOǷ
	GPIO_InitStructure.m_PullDown = GPIO_NOPULL;          //ʼ GPIOǷ
	GPIO_Configuration(GPIOx,&GPIO_InitStructure);

	GPIO_Set_Output_Data_Bits(GPIOx,GpioPin,Bit_SET);	  //Ϊߵƽ

}





/**
  *  ͹ĶʱT0ʱʱá
  *   Periodµֵȡֵ16λ
  *     PrescalerEXTLFԤƵֵ
  *   ޡ
  */
void LPTIMER_T0_Config(uint32_t Period,uint32_t Prescaler)
{

	OSC_SCK_Source_Config(SCLK_SOURCE_EXTLF);                 //ѡEXTLFΪϵͳʱ

	OSC_Backup_Write_Read_Enable(TRUE);                       //ʹܱд

	PM_CCP0CLKLPEN_Enable(TRUE);                              //CCP0͹ʱʹ

	TIM_Reset(T0_SFR);										  //ʱ踴λʹʱ
	GPTIM_Updata_Immediately_Config(T0_SFR,TRUE);			  //¿
	GPTIM_Updata_Enable(T0_SFR,TRUE);						  //øʹ
	GPTIM_Work_Mode_Config(T0_SFR,GPTIM_TIMER_MODE);		  //ʱģʽѡ
	GPTIM_Set_Counter(T0_SFR,0);							  //ʱֵ
	GPTIM_Set_Period(T0_SFR,Period);						  //ʱֵ
	GPTIM_Set_Prescaler(T0_SFR,Prescaler);				      //ʱԤƵֵ
	GPTIM_Counter_Mode_Config(T0_SFR,GPTIM_COUNT_UP_DOWN_OUF);//-¼,жϱ־
	GPTIM_Clock_Config(T0_SFR,GPTIM_LFCLK);					  //ѡLFCLKʱ

	INT_Interrupt_Priority_Config(INT_T0,4,0);				  //ռȼ4,ȼ0
	GPTIM_Overflow_INT_Enable(T0_SFR,TRUE);					  //жʹ
	INT_Interrupt_Enable(INT_T0,TRUE);						  //жʹ
	INT_Clear_Interrupt_Flag(INT_T0);						  //жϱ־
	GPTIM_Cmd(T0_SFR,TRUE);									  //ʱʹ
	INT_Stack_Align_Config(INT_STACK_SINGLE_ALIGN);			  //жԶջʹõֶ
	INT_All_Enable (TRUE);									  //ȫֿжʹ,жʹܿƲλ/NMI/Ӳж

	OSC_Backup_Write_Read_Enable(FALSE);                      //ֹд


}


/**
  *  ⲿƵʱӳʼá
  *  : 
  *
  *   ޡ
  */
void OSC_EXTLF_Config(void)
{
	OSC_Backup_Write_Read_Enable(TRUE);  //ʹܱд
	SFR_SET_BIT_ASM(PM_CTL0, PM_CTL0_BKPREGCLR_POS); //˳λ״̬
	/*ڱþܽ*/
	PM_EXTLF_PIN_Selection_Config(PM_EXTLF_PIN1_IO_PORT);//ⲿƵ PD11PD12о
	OSC_EXTLF_Software_Enable(TRUE);//ⲿƵʹ
	while(OSC_Get_EXTLF_INT_Flag() != SET);

	/* ʱ */
	OSC_SCK_Division_Config(SCLK_DIVISION_1);    //ϵͳʱӲƵ
	OSC_SCK_Source_Config(SCLK_SOURCE_EXTLF);    //ʱʹⲿƵʱ

	OSC_LFCK_Division_Config(LFCK_DIVISION_1);	//ƵʱӷƵѡ
	OSC_LFCK_Source_Config (LFCK_INPUT_EXTLF);  //ѡEXTLFΪLFCLKʱ
	OSC_LFCK_Enable (TRUE);					    //LFCLKʱź

}

//
void main()
{
	/*ûɲοKF32LS200_demoʵⲿƵùܡ
	 * ʹⲿ32.768KHZΪϵͳʱӣʹͨöʱT0T0ʱԴҲⲿƵ
	 * ʱT01һжϣPF0жϺзתSTATUS˸
	 *
	 * ͬʱⲿʱӹϼһйϵͳԶлڲƵʱӣϵͳ
	 *
	 * ע:Ҫʹܱ򣬲ñ˸λ״̬ʹⲿӦá
	 */
	/*ⲿƵ*/
	OSC_EXTLF_Config();  //32.768KHZʹ

	//PF0ʼߵƽ
	GPIOInit_Output_Config(GPIOF_SFR,GPIO_PIN_MASK_0);
	//͹Ķʱֵ ԤƵ
    LPTIMER_T0_Config(500,63); //ʱԴ32.768KHZ, ԤƵֵ1:64   512HZ488Σ1ҽһж

	while(1)
	{

	}

}



/**
  *    У鷢ļ
  *    file: ָļƵָ
  *      line У
  *   ޡ
  */
void check_failed(uint8_t* file, uint32_t line)
{
	  /* ûԼĴʵֱļк,
	             : printf("Wrong parameters value: file %s on line %d\r\n", file, line) */

	  while(1)
	  {
		  ;
	  }
}

